OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDF

# TDF_CopyLabel Class Reference

`#include <TDF_CopyLabel.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_CopyLabel ()
| Empty constructor .
Standard_EXPORT | TDF_CopyLabel (const TDF_Label &aSource, const TDF_Label &aTarget)
| CopyTool .
Standard_EXPORT void | Load (const TDF_Label &aSource, const TDF_Label &aTarget)
| Loads src and tgt labels .
Standard_EXPORT void | UseFilter (const TDF_IDFilter &aFilter)
| Sets filter .
Standard_EXPORT void | Perform ()
| performs algorithm of selfcontained copy
Standard_Boolean | IsDone () const
Standard_EXPORT const Handle_TDF_RelocationTable & | RelocationTable () const
| returns relocation table
## Static Public Member Functions
static Standard_EXPORT Standard_Boolean | ExternalReferences (const TDF_Label &Lab, TDF_AttributeMap &aExternals, const TDF_IDFilter &aFilter)
| Check external references and if exist fills the aExternals Map .
static Standard_EXPORT void | ExternalReferences (const TDF_Label &aRefLab, const TDF_Label &Lab, TDF_AttributeMap &aExternals, const TDF_IDFilter &aFilter, Handle(TDF_DataSet)&aDataSet)
| Check external references and if exist fills the aExternals Map .
## Private Attributes
Handle_TDF_RelocationTable | myRT
TDF_Label | mySL
TDF_Label | myTL
TDF_IDFilter | myFilter
TDF_AttributeMap | myMapOfExt
Standard_Boolean | myIsDone

## Constructor & Destructor Documentation

Standard_EXPORT TDF_CopyLabel::TDF_CopyLabel | ( |  | ) |

Standard_EXPORT TDF_CopyLabel::TDF_CopyLabel | ( | const TDF_Label & | aSource,
|  | const TDF_Label & | aTarget
| ) |

## Member Function Documentation

static Standard_EXPORT void TDF_CopyLabel::ExternalReferences | ( | const TDF_Label & | aRefLab,
|  | const TDF_Label & | Lab,
|  | TDF_AttributeMap & | aExternals,
|  | const TDF_IDFilter & | aFilter,
|  | Handle(TDF_DataSet)& | aDataSet
| ) | `[static]`

static Standard_EXPORT Standard_Boolean TDF_CopyLabel::ExternalReferences | ( | const TDF_Label & | Lab,
|  | TDF_AttributeMap & | aExternals,
|  | const TDF_IDFilter & | aFilter
| ) | `[static]`

Standard_Boolean TDF_CopyLabel::IsDone | ( |  | ) | const`[inline]`

Standard_EXPORT void TDF_CopyLabel::Load | ( | const TDF_Label & | aSource,
|  | const TDF_Label & | aTarget
| ) |

void TDF_CopyLabel::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_CopyLabel::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_CopyLabel::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void TDF_CopyLabel::Perform | ( |  | ) |

Standard_EXPORT const Handle_TDF_RelocationTable& TDF_CopyLabel::RelocationTable | ( |  | ) | const

Standard_EXPORT void TDF_CopyLabel::UseFilter | ( | const TDF_IDFilter & | aFilter | ) |

## Field Documentation

TDF_IDFilter TDF_CopyLabel::myFilter`[private]`

Standard_Boolean TDF_CopyLabel::myIsDone`[private]`

TDF_AttributeMap TDF_CopyLabel::myMapOfExt`[private]`

Handle_TDF_RelocationTable TDF_CopyLabel::myRT`[private]`

TDF_Label TDF_CopyLabel::mySL`[private]`

TDF_Label TDF_CopyLabel::myTL`[private]`

The documentation for this class was generated from the following files:

- TDF_CopyLabel.hxx
- TDF_CopyLabel.lxx